<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Abandoned Cart Email Subscription Functionality
 */

namespace Amasty\AcartSubscriptionFunctionality\Model\Rule\ResourceModel;

use Amasty\AcartSubscriptionFunctionality\Model\Rule\RuleCouponCode as RuleCouponCodeModel;
use Magento\Framework\Model\ResourceModel\Db\AbstractDb;

class RuleCouponCode extends AbstractDb
{
    public const TABLE_NAME = 'amasty_acart_rule_coupon_code';

    protected function _construct()
    {
        $this->_init(self::TABLE_NAME, RuleCouponCodeModel::RULE_ID);
    }
}
